POST V1/CustomerSupport.{ext}/GetIdeas?pageIndex={pageIndex}&pageSize={pageSize}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.IdeaDetail
NameDescriptionTypeAdditional information
IdeaId

No description available

integer

None.

IdeaNumber

No description available

string

None.

Product

No description available

string

None.

IdeaPriority

No description available

string

None.

RequirementType

No description available

string

None.

Title

No description available

string

None.

Description

No description available

string

None.

IdeaStatus

No description available

string

None.

Impact

No description available

string

None.

IdeaScope

No description available

string

None.

CreatedUser

No description available

string

None.

CreatedDate

No description available

date

None.

ModifiedUser

No description available

string

None.

ModifiedDate

No description available

date

None.

Comments

No description available

string

None.

CreatedUserEmail

No description available

string

None.

CreatedUserFullName

No description available

string

None.

CreatedUserRole

No description available

string

None.

AssignedTo

No description available

string

None.

FromDate

No description available

string

None.

ToDate

No description available

string

None.

RichDescription

No description available

string

None.

ImpactOthers

No description available

string

None.

IdeaStatusCode

No description available

string

None.

IdeaScopeCode

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "ideaId": 1,
  "ideaNumber": "sample string 2",
  "product": "sample string 3",
  "ideaPriority": "sample string 4",
  "requirementType": "sample string 5",
  "title": "sample string 6",
  "description": "sample string 7",
  "ideaStatus": "sample string 8",
  "impact": "sample string 9",
  "ideaScope": "sample string 10",
  "createdUser": "sample string 11",
  "createdDate": "2026-06-01T14:14:38.3546667-04:00",
  "modifiedUser": "sample string 13",
  "modifiedDate": "2026-06-01T14:14:38.3552189-04:00",
  "comments": "sample string 15",
  "createdUserEmail": "sample string 16",
  "createdUserFullName": "sample string 17",
  "createdUserRole": "sample string 18",
  "assignedTo": "sample string 19",
  "fromDate": "sample string 20",
  "toDate": "sample string 21",
  "richDescription": "sample string 22",
  "impactOthers": "sample string 23",
  "ideaStatusCode": "sample string 24",
  "ideaScopeCode": "sample string 25"
}

application/xml, text/xml

Sample:
<IdeaDetail xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <AssignedTo>sample string 19</AssignedTo>
  <Comments>sample string 15</Comments>
  <CreatedDate>2026-06-01T14:14:38.3546667-04:00</CreatedDate>
  <CreatedUser>sample string 11</CreatedUser>
  <CreatedUserEmail>sample string 16</CreatedUserEmail>
  <CreatedUserFullName>sample string 17</CreatedUserFullName>
  <CreatedUserRole>sample string 18</CreatedUserRole>
  <Description>sample string 7</Description>
  <FromDate>sample string 20</FromDate>
  <IdeaId>1</IdeaId>
  <IdeaNumber>sample string 2</IdeaNumber>
  <IdeaPriority>sample string 4</IdeaPriority>
  <IdeaScope>sample string 10</IdeaScope>
  <IdeaScopeCode>sample string 25</IdeaScopeCode>
  <IdeaStatus>sample string 8</IdeaStatus>
  <IdeaStatusCode>sample string 24</IdeaStatusCode>
  <Impact>sample string 9</Impact>
  <ImpactOthers>sample string 23</ImpactOthers>
  <ModifiedDate>2026-06-01T14:14:38.3552189-04:00</ModifiedDate>
  <ModifiedUser>sample string 13</ModifiedUser>
  <Product>sample string 3</Product>
  <RequirementType>sample string 5</RequirementType>
  <RichDescription>sample string 22</RichDescription>
  <Title>sample string 6</Title>
  <ToDate>sample string 21</ToDate>
</IdeaDetail>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Inventory.Entities.Idea
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.Idea

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Idea",
  "response": {
    "ideaId": 1,
    "ideaNumber": "sample string 2",
    "employeeName": "sample string 3",
    "email": "sample string 4",
    "departmentId": "sample string 5",
    "dateRecieved": "sample string 6",
    "ideaTitle": "sample string 7",
    "requirementType": "sample string 8",
    "performanceImpact": "sample string 9",
    "description": "sample string 10",
    "priority": "sample string 11",
    "intendedAudience": "sample string 12",
    "scopeStatus": "sample string 13",
    "ideastatus": "sample string 14",
    "isEditable": true
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.